Index: uspace/srv/devman/client_conn.c
===================================================================
--- uspace/srv/devman/client_conn.c	(revision 3be9d10120f7923a0b3d52282b8de0b670566c71)
+++ uspace/srv/devman/client_conn.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -61,5 +61,5 @@
 /** Find handle for the device instance identified by the device's path in the
  * device tree. */
-static void devman_function_get_handle(cap_call_handle_t iid, ipc_call_t *icall)
+static void devman_function_get_handle(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	char *pathname;
@@ -68,5 +68,5 @@
 	errno_t rc = async_data_write_accept((void **) &pathname, true, 0, 0, 0, 0);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -77,5 +77,5 @@
 
 	if (fun == NULL) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -86,5 +86,5 @@
 	if (fun->state == FUN_REMOVED) {
 		fibril_rwlock_read_unlock(&device_tree.rwlock);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -96,9 +96,9 @@
 	fun_del_ref(fun);
 
-	async_answer_1(iid, EOK, handle);
+	async_answer_1(icall_handle, EOK, handle);
 }
 
 /** Get device match ID. */
-static void devman_fun_get_match_id(cap_call_handle_t iid, ipc_call_t *icall)
+static void devman_fun_get_match_id(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	devman_handle_t handle = IPC_GET_ARG1(*icall);
@@ -108,12 +108,12 @@
 	fun_node_t *fun = find_fun_node(&device_tree, handle);
 	if (fun == NULL) {
-		async_answer_0(iid, ENOMEM);
-		return;
-	}
-
-	cap_call_handle_t data_callid;
+		async_answer_0(icall_handle, ENOMEM);
+		return;
+	}
+
+	cap_call_handle_t data_chandle;
 	size_t data_len;
-	if (!async_data_read_receive(&data_callid, &data_len)) {
-		async_answer_0(iid, EINVAL);
+	if (!async_data_read_receive(&data_chandle, &data_len)) {
+		async_answer_0(icall_handle, EINVAL);
 		fun_del_ref(fun);
 		return;
@@ -122,6 +122,6 @@
 	buffer = malloc(data_len);
 	if (buffer == NULL) {
-		async_answer_0(data_callid, ENOMEM);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(data_chandle, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		fun_del_ref(fun);
 		return;
@@ -145,6 +145,6 @@
 	}
 
-	async_data_read_finalize(data_callid, mid->id, sent_length);
-	async_answer_1(iid, EOK, mid->score);
+	async_data_read_finalize(data_chandle, mid->id, sent_length);
+	async_answer_1(icall_handle, EOK, mid->score);
 
 	fibril_rwlock_read_unlock(&device_tree.rwlock);
@@ -157,11 +157,11 @@
 	free(buffer);
 
-	async_answer_0(data_callid, ENOENT);
-	async_answer_0(iid, ENOENT);
+	async_answer_0(data_chandle, ENOENT);
+	async_answer_0(icall_handle, ENOENT);
 	fun_del_ref(fun);
 }
 
 /** Get device name. */
-static void devman_fun_get_name(cap_call_handle_t iid, ipc_call_t *icall)
+static void devman_fun_get_name(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	devman_handle_t handle = IPC_GET_ARG1(*icall);
@@ -169,12 +169,12 @@
 	fun_node_t *fun = find_fun_node(&device_tree, handle);
 	if (fun == NULL) {
-		async_answer_0(iid, ENOMEM);
-		return;
-	}
-
-	cap_call_handle_t data_callid;
+		async_answer_0(icall_handle, ENOMEM);
+		return;
+	}
+
+	cap_call_handle_t data_chandle;
 	size_t data_len;
-	if (!async_data_read_receive(&data_callid, &data_len)) {
-		async_answer_0(iid, EINVAL);
+	if (!async_data_read_receive(&data_chandle, &data_len)) {
+		async_answer_0(icall_handle, EINVAL);
 		fun_del_ref(fun);
 		return;
@@ -183,6 +183,6 @@
 	void *buffer = malloc(data_len);
 	if (buffer == NULL) {
-		async_answer_0(data_callid, ENOMEM);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(data_chandle, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		fun_del_ref(fun);
 		return;
@@ -196,6 +196,6 @@
 		free(buffer);
 
-		async_answer_0(data_callid, ENOENT);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(data_chandle, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		fun_del_ref(fun);
 		return;
@@ -207,6 +207,6 @@
 	}
 
-	async_data_read_finalize(data_callid, fun->name, sent_length);
-	async_answer_0(iid, EOK);
+	async_data_read_finalize(data_chandle, fun->name, sent_length);
+	async_answer_0(icall_handle, EOK);
 
 	fibril_rwlock_read_unlock(&device_tree.rwlock);
@@ -216,5 +216,5 @@
 
 /** Get function driver name. */
-static void devman_fun_get_driver_name(cap_call_handle_t iid, ipc_call_t *icall)
+static void devman_fun_get_driver_name(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	devman_handle_t handle = IPC_GET_ARG1(*icall);
@@ -222,12 +222,12 @@
 	fun_node_t *fun = find_fun_node(&device_tree, handle);
 	if (fun == NULL) {
-		async_answer_0(iid, ENOMEM);
-		return;
-	}
-
-	cap_call_handle_t data_callid;
+		async_answer_0(icall_handle, ENOMEM);
+		return;
+	}
+
+	cap_call_handle_t data_chandle;
 	size_t data_len;
-	if (!async_data_read_receive(&data_callid, &data_len)) {
-		async_answer_0(iid, EINVAL);
+	if (!async_data_read_receive(&data_chandle, &data_len)) {
+		async_answer_0(icall_handle, EINVAL);
 		fun_del_ref(fun);
 		return;
@@ -236,6 +236,6 @@
 	void *buffer = malloc(data_len);
 	if (buffer == NULL) {
-		async_answer_0(data_callid, ENOMEM);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(data_chandle, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		fun_del_ref(fun);
 		return;
@@ -249,6 +249,6 @@
 		free(buffer);
 
-		async_answer_0(data_callid, ENOENT);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(data_chandle, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		fun_del_ref(fun);
 		return;
@@ -260,6 +260,6 @@
 		free(buffer);
 
-		async_answer_0(data_callid, EINVAL);
-		async_answer_0(iid, EINVAL);
+		async_answer_0(data_chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		fun_del_ref(fun);
 		return;
@@ -271,7 +271,7 @@
 	}
 
-	async_data_read_finalize(data_callid, fun->child->drv->name,
+	async_data_read_finalize(data_chandle, fun->child->drv->name,
 	    sent_length);
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	fibril_rwlock_read_unlock(&device_tree.rwlock);
@@ -281,5 +281,5 @@
 
 /** Get device path. */
-static void devman_fun_get_path(cap_call_handle_t iid, ipc_call_t *icall)
+static void devman_fun_get_path(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	devman_handle_t handle = IPC_GET_ARG1(*icall);
@@ -287,12 +287,12 @@
 	fun_node_t *fun = find_fun_node(&device_tree, handle);
 	if (fun == NULL) {
-		async_answer_0(iid, ENOMEM);
-		return;
-	}
-
-	cap_call_handle_t data_callid;
+		async_answer_0(icall_handle, ENOMEM);
+		return;
+	}
+
+	cap_call_handle_t data_chandle;
 	size_t data_len;
-	if (!async_data_read_receive(&data_callid, &data_len)) {
-		async_answer_0(iid, EINVAL);
+	if (!async_data_read_receive(&data_chandle, &data_len)) {
+		async_answer_0(icall_handle, EINVAL);
 		fun_del_ref(fun);
 		return;
@@ -301,6 +301,6 @@
 	void *buffer = malloc(data_len);
 	if (buffer == NULL) {
-		async_answer_0(data_callid, ENOMEM);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(data_chandle, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		fun_del_ref(fun);
 		return;
@@ -314,6 +314,6 @@
 		free(buffer);
 
-		async_answer_0(data_callid, ENOENT);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(data_chandle, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		fun_del_ref(fun);
 		return;
@@ -325,6 +325,6 @@
 	}
 
-	async_data_read_finalize(data_callid, fun->pathname, sent_length);
-	async_answer_0(iid, EOK);
+	async_data_read_finalize(data_chandle, fun->pathname, sent_length);
+	async_answer_0(icall_handle, EOK);
 
 	fibril_rwlock_read_unlock(&device_tree.rwlock);
@@ -334,5 +334,5 @@
 
 /** Get handle for parent function of a device. */
-static void devman_dev_get_parent(cap_call_handle_t iid, ipc_call_t *icall)
+static void devman_dev_get_parent(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	dev_node_t *dev;
@@ -343,5 +343,5 @@
 	if (dev == NULL || dev->state == DEVICE_REMOVED) {
 		fibril_rwlock_read_unlock(&device_tree.rwlock);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -349,23 +349,23 @@
 	if (dev->pfun == NULL) {
 		fibril_rwlock_read_unlock(&device_tree.rwlock);
-		async_answer_0(iid, ENOENT);
-		return;
-	}
-
-	async_answer_1(iid, EOK, dev->pfun->handle);
-
-	fibril_rwlock_read_unlock(&device_tree.rwlock);
-}
-
-static void devman_dev_get_functions(cap_call_handle_t iid, ipc_call_t *icall)
-{
-	cap_call_handle_t callid;
+		async_answer_0(icall_handle, ENOENT);
+		return;
+	}
+
+	async_answer_1(icall_handle, EOK, dev->pfun->handle);
+
+	fibril_rwlock_read_unlock(&device_tree.rwlock);
+}
+
+static void devman_dev_get_functions(cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	cap_call_handle_t chandle;
 	size_t size;
 	size_t act_size;
 	errno_t rc;
 
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
@@ -377,6 +377,6 @@
 	if (dev == NULL || dev->state == DEVICE_REMOVED) {
 		fibril_rwlock_read_unlock(&device_tree.rwlock);
-		async_answer_0(callid, ENOENT);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(chandle, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -385,6 +385,6 @@
 	if (hdl_buf == NULL) {
 		fibril_rwlock_read_unlock(&device_tree.rwlock);
-		async_answer_0(callid, ENOMEM);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -393,19 +393,19 @@
 	if (rc != EOK) {
 		fibril_rwlock_read_unlock(&device_tree.rwlock);
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	fibril_rwlock_read_unlock(&device_tree.rwlock);
-
-	errno_t retval = async_data_read_finalize(callid, hdl_buf, size);
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	fibril_rwlock_read_unlock(&device_tree.rwlock);
+
+	errno_t retval = async_data_read_finalize(chandle, hdl_buf, size);
 	free(hdl_buf);
 
-	async_answer_1(iid, retval, act_size);
+	async_answer_1(icall_handle, retval, act_size);
 }
 
 /** Get handle for child device of a function. */
-static void devman_fun_get_child(cap_call_handle_t iid, ipc_call_t *icall)
+static void devman_fun_get_child(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	fun_node_t *fun;
@@ -416,5 +416,5 @@
 	if (fun == NULL || fun->state == FUN_REMOVED) {
 		fibril_rwlock_read_unlock(&device_tree.rwlock);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -422,9 +422,9 @@
 	if (fun->child == NULL) {
 		fibril_rwlock_read_unlock(&device_tree.rwlock);
-		async_answer_0(iid, ENOENT);
-		return;
-	}
-
-	async_answer_1(iid, EOK, fun->child->handle);
+		async_answer_0(icall_handle, ENOENT);
+		return;
+	}
+
+	async_answer_1(icall_handle, EOK, fun->child->handle);
 
 	fibril_rwlock_read_unlock(&device_tree.rwlock);
@@ -437,5 +437,5 @@
  * of this function is linked to state of another function somehow).
  */
-static void devman_fun_online(cap_call_handle_t iid, ipc_call_t *icall)
+static void devman_fun_online(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	fun_node_t *fun;
@@ -444,5 +444,5 @@
 	fun = find_fun_node(&device_tree, IPC_GET_ARG1(*icall));
 	if (fun == NULL) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -451,5 +451,5 @@
 	fun_del_ref(fun);
 
-	async_answer_0(iid, rc);
+	async_answer_0(icall_handle, rc);
 }
 
@@ -462,5 +462,5 @@
  * function somehow).
  */
-static void devman_fun_offline(cap_call_handle_t iid, ipc_call_t *icall)
+static void devman_fun_offline(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	fun_node_t *fun;
@@ -469,5 +469,5 @@
 	fun = find_fun_node(&device_tree, IPC_GET_ARG1(*icall));
 	if (fun == NULL) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -476,9 +476,9 @@
 	fun_del_ref(fun);
 
-	async_answer_0(iid, rc);
+	async_answer_0(icall_handle, rc);
 }
 
 /** Find handle for the function instance identified by its service ID. */
-static void devman_fun_sid_to_handle(cap_call_handle_t iid, ipc_call_t *icall)
+static void devman_fun_sid_to_handle(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	fun_node_t *fun;
@@ -487,5 +487,5 @@
 
 	if (fun == NULL) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -496,9 +496,9 @@
 	if (fun->state == FUN_REMOVED) {
 		fibril_rwlock_read_unlock(&device_tree.rwlock);
-		async_answer_0(iid, ENOENT);
-		return;
-	}
-
-	async_answer_1(iid, EOK, fun->handle);
+		async_answer_0(icall_handle, ENOENT);
+		return;
+	}
+
+	async_answer_1(icall_handle, EOK, fun->handle);
 	fibril_rwlock_read_unlock(&device_tree.rwlock);
 	fun_del_ref(fun);
@@ -506,13 +506,13 @@
 
 /** Get list of all registered drivers. */
-static void devman_get_drivers(cap_call_handle_t iid, ipc_call_t *icall)
-{
-	cap_call_handle_t callid;
+static void devman_get_drivers(cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	cap_call_handle_t chandle;
 	size_t size;
 	size_t act_size;
 	errno_t rc;
 
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
@@ -520,6 +520,6 @@
 	devman_handle_t *hdl_buf = (devman_handle_t *) malloc(size);
 	if (hdl_buf == NULL) {
-		async_answer_0(callid, ENOMEM);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -527,24 +527,24 @@
 	rc = driver_get_list(&drivers_list, hdl_buf, size, &act_size);
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	errno_t retval = async_data_read_finalize(callid, hdl_buf, size);
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	errno_t retval = async_data_read_finalize(chandle, hdl_buf, size);
 	free(hdl_buf);
 
-	async_answer_1(iid, retval, act_size);
-}
-
-static void devman_driver_get_devices(cap_call_handle_t iid, ipc_call_t *icall)
-{
-	cap_call_handle_t callid;
+	async_answer_1(icall_handle, retval, act_size);
+}
+
+static void devman_driver_get_devices(cap_call_handle_t icall_handle, ipc_call_t *icall)
+{
+	cap_call_handle_t chandle;
 	size_t size;
 	size_t act_size;
 	errno_t rc;
 
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
@@ -552,6 +552,6 @@
 	driver_t *drv = driver_find(&drivers_list, IPC_GET_ARG1(*icall));
 	if (drv == NULL) {
-		async_answer_0(callid, ENOENT);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(chandle, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -559,6 +559,6 @@
 	devman_handle_t *hdl_buf = (devman_handle_t *) malloc(size);
 	if (hdl_buf == NULL) {
-		async_answer_0(callid, ENOMEM);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -567,18 +567,18 @@
 	if (rc != EOK) {
 		fibril_rwlock_read_unlock(&device_tree.rwlock);
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	errno_t retval = async_data_read_finalize(callid, hdl_buf, size);
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	errno_t retval = async_data_read_finalize(chandle, hdl_buf, size);
 	free(hdl_buf);
 
-	async_answer_1(iid, retval, act_size);
+	async_answer_1(icall_handle, retval, act_size);
 }
 
 
 /** Find driver by name. */
-static void devman_driver_get_handle(cap_call_handle_t iid, ipc_call_t *icall)
+static void devman_driver_get_handle(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	char *drvname;
@@ -586,5 +586,5 @@
 	errno_t rc = async_data_write_accept((void **) &drvname, true, 0, 0, 0, 0);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -595,13 +595,13 @@
 
 	if (driver == NULL) {
-		async_answer_0(iid, ENOENT);
-		return;
-	}
-
-	async_answer_1(iid, EOK, driver->handle);
+		async_answer_0(icall_handle, ENOENT);
+		return;
+	}
+
+	async_answer_1(icall_handle, EOK, driver->handle);
 }
 
 /** Get driver match ID. */
-static void devman_driver_get_match_id(cap_call_handle_t iid, ipc_call_t *icall)
+static void devman_driver_get_match_id(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	devman_handle_t handle = IPC_GET_ARG1(*icall);
@@ -610,12 +610,12 @@
 	driver_t *drv = driver_find(&drivers_list, handle);
 	if (drv == NULL) {
-		async_answer_0(iid, ENOMEM);
-		return;
-	}
-
-	cap_call_handle_t data_callid;
+		async_answer_0(icall_handle, ENOMEM);
+		return;
+	}
+
+	cap_call_handle_t data_chandle;
 	size_t data_len;
-	if (!async_data_read_receive(&data_callid, &data_len)) {
-		async_answer_0(iid, EINVAL);
+	if (!async_data_read_receive(&data_chandle, &data_len)) {
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
@@ -623,6 +623,6 @@
 	void *buffer = malloc(data_len);
 	if (buffer == NULL) {
-		async_answer_0(data_callid, ENOMEM);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(data_chandle, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -633,6 +633,6 @@
 		fibril_mutex_unlock(&drv->driver_mutex);
 		free(buffer);
-		async_answer_0(data_callid, ENOMEM);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(data_chandle, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -645,6 +645,6 @@
 	}
 
-	async_data_read_finalize(data_callid, mid->id, sent_length);
-	async_answer_1(iid, EOK, mid->score);
+	async_data_read_finalize(data_chandle, mid->id, sent_length);
+	async_answer_1(icall_handle, EOK, mid->score);
 
 	fibril_mutex_unlock(&drv->driver_mutex);
@@ -654,5 +654,5 @@
 
 /** Get driver name. */
-static void devman_driver_get_name(cap_call_handle_t iid, ipc_call_t *icall)
+static void devman_driver_get_name(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	devman_handle_t handle = IPC_GET_ARG1(*icall);
@@ -660,12 +660,12 @@
 	driver_t *drv = driver_find(&drivers_list, handle);
 	if (drv == NULL) {
-		async_answer_0(iid, ENOMEM);
-		return;
-	}
-
-	cap_call_handle_t data_callid;
+		async_answer_0(icall_handle, ENOMEM);
+		return;
+	}
+
+	cap_call_handle_t data_chandle;
 	size_t data_len;
-	if (!async_data_read_receive(&data_callid, &data_len)) {
-		async_answer_0(iid, EINVAL);
+	if (!async_data_read_receive(&data_chandle, &data_len)) {
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
@@ -673,6 +673,6 @@
 	void *buffer = malloc(data_len);
 	if (buffer == NULL) {
-		async_answer_0(data_callid, ENOMEM);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(data_chandle, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -685,6 +685,6 @@
 	}
 
-	async_data_read_finalize(data_callid, drv->name, sent_length);
-	async_answer_0(iid, EOK);
+	async_data_read_finalize(data_chandle, drv->name, sent_length);
+	async_answer_0(icall_handle, EOK);
 
 	fibril_mutex_unlock(&drv->driver_mutex);
@@ -694,5 +694,5 @@
 
 /** Get driver state. */
-static void devman_driver_get_state(cap_call_handle_t iid, ipc_call_t *icall)
+static void devman_driver_get_state(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	driver_t *drv;
@@ -700,13 +700,13 @@
 	drv = driver_find(&drivers_list, IPC_GET_ARG1(*icall));
 	if (drv == NULL) {
-		async_answer_0(iid, ENOENT);
-		return;
-	}
-
-	async_answer_1(iid, EOK, (sysarg_t) drv->state);
+		async_answer_0(icall_handle, ENOENT);
+		return;
+	}
+
+	async_answer_1(icall_handle, EOK, (sysarg_t) drv->state);
 }
 
 /** Forcibly load a driver. */
-static void devman_driver_load(cap_call_handle_t iid, ipc_call_t *icall)
+static void devman_driver_load(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	driver_t *drv;
@@ -715,5 +715,5 @@
 	drv = driver_find(&drivers_list, IPC_GET_ARG1(*icall));
 	if (drv == NULL) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -723,9 +723,9 @@
 	fibril_mutex_unlock(&drv->driver_mutex);
 
-	async_answer_0(iid, rc);
+	async_answer_0(icall_handle, rc);
 }
 
 /** Unload a driver by user request. */
-static void devman_driver_unload(cap_call_handle_t iid, ipc_call_t *icall)
+static void devman_driver_unload(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	driver_t *drv;
@@ -734,5 +734,5 @@
 	drv = driver_find(&drivers_list, IPC_GET_ARG1(*icall));
 	if (drv == NULL) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -742,16 +742,16 @@
 	fibril_mutex_unlock(&drv->driver_mutex);
 
-	async_answer_0(iid, rc);
+	async_answer_0(icall_handle, rc);
 }
 
 /** Function for handling connections from a client to the device manager. */
-void devman_connection_client(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+void devman_connection_client(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	/* Accept connection. */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call))
@@ -760,62 +760,62 @@
 		switch (IPC_GET_IMETHOD(call)) {
 		case DEVMAN_DEVICE_GET_HANDLE:
-			devman_function_get_handle(callid, &call);
+			devman_function_get_handle(chandle, &call);
 			break;
 		case DEVMAN_DEV_GET_PARENT:
-			devman_dev_get_parent(callid, &call);
+			devman_dev_get_parent(chandle, &call);
 			break;
 		case DEVMAN_DEV_GET_FUNCTIONS:
-			devman_dev_get_functions(callid, &call);
+			devman_dev_get_functions(chandle, &call);
 			break;
 		case DEVMAN_FUN_GET_CHILD:
-			devman_fun_get_child(callid, &call);
+			devman_fun_get_child(chandle, &call);
 			break;
 		case DEVMAN_FUN_GET_MATCH_ID:
-			devman_fun_get_match_id(callid, &call);
+			devman_fun_get_match_id(chandle, &call);
 			break;
 		case DEVMAN_FUN_GET_NAME:
-			devman_fun_get_name(callid, &call);
+			devman_fun_get_name(chandle, &call);
 			break;
 		case DEVMAN_FUN_GET_DRIVER_NAME:
-			devman_fun_get_driver_name(callid, &call);
+			devman_fun_get_driver_name(chandle, &call);
 			break;
 		case DEVMAN_FUN_GET_PATH:
-			devman_fun_get_path(callid, &call);
+			devman_fun_get_path(chandle, &call);
 			break;
 		case DEVMAN_FUN_ONLINE:
-			devman_fun_online(callid, &call);
+			devman_fun_online(chandle, &call);
 			break;
 		case DEVMAN_FUN_OFFLINE:
-			devman_fun_offline(callid, &call);
+			devman_fun_offline(chandle, &call);
 			break;
 		case DEVMAN_FUN_SID_TO_HANDLE:
-			devman_fun_sid_to_handle(callid, &call);
+			devman_fun_sid_to_handle(chandle, &call);
 			break;
 		case DEVMAN_GET_DRIVERS:
-			devman_get_drivers(callid, &call);
+			devman_get_drivers(chandle, &call);
 			break;
 		case DEVMAN_DRIVER_GET_DEVICES:
-			devman_driver_get_devices(callid, &call);
+			devman_driver_get_devices(chandle, &call);
 			break;
 		case DEVMAN_DRIVER_GET_HANDLE:
-			devman_driver_get_handle(callid, &call);
+			devman_driver_get_handle(chandle, &call);
 			break;
 		case DEVMAN_DRIVER_GET_MATCH_ID:
-			devman_driver_get_match_id(callid, &call);
+			devman_driver_get_match_id(chandle, &call);
 			break;
 		case DEVMAN_DRIVER_GET_NAME:
-			devman_driver_get_name(callid, &call);
+			devman_driver_get_name(chandle, &call);
 			break;
 		case DEVMAN_DRIVER_GET_STATE:
-			devman_driver_get_state(callid, &call);
+			devman_driver_get_state(chandle, &call);
 			break;
 		case DEVMAN_DRIVER_LOAD:
-			devman_driver_load(callid, &call);
+			devman_driver_load(chandle, &call);
 			break;
 		case DEVMAN_DRIVER_UNLOAD:
-			devman_driver_unload(callid, &call);
+			devman_driver_unload(chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, ENOENT);
+			async_answer_0(chandle, ENOENT);
 		}
 	}
